Ошибка: (27, 13) Не удалось решить: com.google.firebase: firebase-core: 9.8.0

Я пытаюсь использовать Firebase в своем приложении.

После добавления трех строк в Gradle я получаю эту ошибку:

Ошибка: (27, 13) Не удалось решить: com.google.firebase: firebase-core: 9.8.0

Вот некоторые изображения моего кода:

Это в приложении Gradle Это что-то еще Это в приложении Gradle

Почему я получаю эту ошибку?

Solutions Collecting From Web of "Ошибка: (27, 13) Не удалось решить: com.google.firebase: firebase-core: 9.8.0"

Убедитесь, что репозиторий Google и связанные с ним репозитории были обновлены до последней версии. Проверьте, перейдя в диспетчер SDK -> раздел «Дополнительно».

Введите описание изображения здесь

Firebase Doc Link

Думаю, вам нужно обновить репозиторий Google. Попробуйте запустить диспетчер SDK и проверьте, есть ли какое-либо обновление.

Посмотрите на комментарий в примере здесь

dependencies { // ... compile 'com.google.firebase:firebase-core:9.8.0' // Getting a "Could not find" error? Make sure you have // the latest Google Repository in the Android SDK manager } 

Получение ошибки «Не удалось найти»? Убедитесь, что у вас есть последний репозиторий Google в менеджере Android SDK

Перейдите в Менеджер SDK -> Дополнительно и проверьте обновления.

Снимок менеджера SDK

Как описано здесь , добавьте следующее:

 dependencies { // ... classpath 'com.google.gms:google-services:3.0.0' } 

В вашем файле уровня градиента уровня проекта и в файле уровня градиента уровня приложения:

 dependencies { compile 'com.google.firebase:firebase-core:9.8.0' } apply plugin: 'com.google.gms.google-services'